---
updatedAt: 2025-02-14T21:01:44.000Z
agentTools:
  projectIndex: https://developer.getontop.com/llms.txt
---

# Retrieving configuration

```
curl --location 'https://api.demo.getontop.com/webhooks/clients' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxx' \
--data '{
    "event_types": [
        "KYC"    
]
}'

```

```
{
  "client_id": 999,
  "url": "api.demo.getontop.com/webhooks/events",
  "enabled": true,
  "headers": [{
  "name": "X-CUSTOM-HEADER-1",
  "value": "CUSTOM-VALUE"
  }],
  "event_types": [
    "KYC"
  ],
  "created_at": "2023-10-25T14:41:14.574712103Z",
  "updated_at": "2023-11-24T11:21:14.574713670Z"
}


```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "ONTOP API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.demo.getontop.com"
    }
  ],
  "tags": [
    {
      "name": "Webhooks"
    }
  ],
  "paths": {
    "/webhooks/clients": {
      "get": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Retrieving configuration",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "Bearer xxxxxxxxxxxxxxxxxx"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```